/*
 * SystemException.cs - Implementation of the "System.SystemException" class.
 *
 * Copyright (C) 2001  Southern Storm Software, Pty Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

using System.Runtime.Serialization;

namespace System
{

public class SystemException : Exception
{

	// Constructors.
	public SystemException()
		: base(_("Exception_System")) {}
	public SystemException(String msg)
		: base(msg) {}
	public SystemException(String msg, Exception inner)
		: base(msg, inner) {}
	
#if !ECMA_COMPAT
	[TODO]
	public SystemException (SerializationInfo info, 
							StreamingContext ctxt)
		{
		}
#endif

	// Internal constructor that is called by classes that
	// do not want a stack trace to be allocated.
	internal SystemException(String msg, Exception inner, bool wantTrace)
		: base(msg, inner, wantTrace) {}

	// Get the default message to use for this exception type.
	protected internal override String MessageDefault
			{
				get
				{
					return _("Exception_System");
				}
			}

}; // class SystemException

}; // namespace System
