/*
 * _AppDomain.cs - Implementation of the "System._AppDomain" interface.
 *
 * Copyright (C) 2001  Southern Storm Software, Pty Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

namespace System
{

#if ECMA_COMPAT
internal
#else
public
#endif
interface _AppDomain
{
	// Get the friendly name associated with this application domain.
	String FriendlyName { get; }

	// Event that is emitted when an assembly is loaded into this domain.
	event AssemblyLoadEventHandler AssemblyLoad;

	// Event that is emitted when an application domain is unloaded.
	event EventHandler DomainUnload;

	// Event that is emitted when an exception is unhandled by the domain.
	event UnhandledExceptionEventHandler UnhandledException;

}; // interface _AppDomain

}; // namespace System
